
Ruby - Bug #16940

Backport 0ba27259d390e902139c0e2e94b9d18ef227748e

06/09/2020 01:23 AM - nagachika (Tomoyuki Chikanaga)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.5: UNKNOWN, 2.6: DONE, 2.7: DONE

Description

This is an issue for backport management.

Associated revisions

Revision f43b8c4f7304ebea91cd01d5606e13273d0fd755 - 07/19/2020 02:56 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 0ba27259d390e902139c0e2e94b9d18ef227748e: [Backport #16940]

    Fix crashes in the peephole optimizer on OpenBSD/sparc64

    These crashes are due to alignment issues, casting ADJUST to INSN

    and then accessing after the end of the ADJUST.  These patches

    come from Stefan Sperling <stsp@apache.org>, who reported the

    issue.

Revision f43b8c4f7304ebea91cd01d5606e13273d0fd755 - 07/19/2020 02:56 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 0ba27259d390e902139c0e2e94b9d18ef227748e: [Backport #16940]

    Fix crashes in the peephole optimizer on OpenBSD/sparc64

    These crashes are due to alignment issues, casting ADJUST to INSN

    and then accessing after the end of the ADJUST.  These patches

    come from Stefan Sperling <stsp@apache.org>, who reported the

    issue.

Revision f43b8c4f - 07/19/2020 02:56 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 0ba27259d390e902139c0e2e94b9d18ef227748e: [Backport #16940]

    Fix crashes in the peephole optimizer on OpenBSD/sparc64

    These crashes are due to alignment issues, casting ADJUST to INSN

    and then accessing after the end of the ADJUST.  These patches

    come from Stefan Sperling <stsp@apache.org>, who reported the

    issue.

Revision efd499b211dfc9696beea90a73fd72aaf95d6c5e - 03/02/2021 11:25 AM - U.Nakamura 

merge revision(s) 0ba27259: [Backport #16940]

    Fix crashes in the peephole optimizer on OpenBSD/sparc64

    These crashes are due to alignment issues, casting ADJUST to INSN

    and then accessing after the end of the ADJUST.  These patches

    come from Stefan Sperling <stsp@apache.org>, who reported the

    issue.

    ---

     compile.c | 5 +++--

     1 file changed, 3 insertions(+), 2 deletions(-)

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_6@67908 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision efd499b211dfc9696beea90a73fd72aaf95d6c5e - 03/02/2021 11:25 AM - U.Nakamura 

merge revision(s) 0ba27259: [Backport #16940]

    Fix crashes in the peephole optimizer on OpenBSD/sparc64
    These crashes are due to alignment issues, casting ADJUST to INSN

    and then accessing after the end of the ADJUST.  These patches

    come from Stefan Sperling <stsp@apache.org>, who reported the

    issue.

    ---

     compile.c | 5 +++--

     1 file changed, 3 insertions(+), 2 deletions(-)

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_6@67908 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision efd499b2 - 03/02/2021 11:25 AM - U.Nakamura 

merge revision(s) 0ba27259: [Backport #16940]

    Fix crashes in the peephole optimizer on OpenBSD/sparc64

    These crashes are due to alignment issues, casting ADJUST to INSN

    and then accessing after the end of the ADJUST.  These patches

    come from Stefan Sperling <stsp@apache.org>, who reported the

    issue.

    ---

     compile.c | 5 +++--

     1 file changed, 3 insertions(+), 2 deletions(-)

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_6@67908 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 06/09/2020 01:24 AM - nagachika (Tomoyuki Chikanaga)

- Status changed from Open to Closed

#2 - 07/19/2020 02:56 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.5: UNKNOWN, 2.6: REQUIRED, 2.7: REQUIRED to 2.5: UNKNOWN, 2.6: REQUIRED, 2.7: DONE

ruby_2_7 f43b8c4f7304ebea91cd01d5606e13273d0fd755 merged revision(s) 0ba27259d390e902139c0e2e94b9d18ef227748e.

#3 - 03/02/2021 11:25 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.5: UNKNOWN, 2.6: REQUIRED, 2.7: DONE to 2.5: UNKNOWN, 2.6: DONE, 2.7: DONE

ruby_2_6 r67908 merged revision(s) 0ba27259.
